package com.alicloud.mse;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RefreshScope
public class ConfigController {


    @Value(value = "${useLocalCache:false}")
    private boolean useLocalCache;


    @GetMapping("/getConfig")
    public boolean getConfigValue() {
        return useLocalCache;
    }

}